Try ERPNext Buy Support Partners Foundation Foundation Members

ERROR while setting up Frappe site

Installing frappe…
Updating DocTypes for frappe : [========================================]
Traceback (most recent call last):
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 484, in connect
sock = self._connect()
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 541, in _connect
raise err
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2879, in execute
return execute(conn, stack, raise_on_error)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2749, in _execute_transaction
connection.send_packed_command(all_cmds)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:11000. Connection refused.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 484, in connect
sock = self._connect()
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 541, in _connect
raise err
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 529, in _connect
sock.connect(socket_address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.5/runpy.py”, line 184, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 97, in
main()
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/commands/site.py”, line 32, in new_site
db_type=db_type)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/commands/site.py”, line 73, in _new_site
_install_app(app, verbose=verbose, set_as_patched=not source_sql)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/installer.py”, line 92, in install_app
frappe.get_attr(after_install)()
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/utils/install.py”, line 19, in after_install
install_basic_docs()
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/utils/install.py”, line 77, in install_basic_docs
frappe.get_doc(d).insert()
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/model/document.py”, line 259, in insert
self.run_post_save_methods()
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/model/document.py”, line 919, in run_post_save_methods
self.run_method(“on_update”)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/model/document.py”, line 787, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/model/document.py”, line 1058, in composer
return composed(self, method, *args, **kwargs)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/model/document.py”, line 1041, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/model/document.py”, line 781, in
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 93, in on_update
self.share_with_self()
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/core/doctype/user/user.py”, line 177, in share_with_self
flags={“ignore_share_permission”: True})
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/share.py”, line 44, in add
notify_assignment(user, doctype, name, everyone)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/share.py”, line 171, in notify_assignment
enqueue_create_notification(shared_by, notification_doc)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/desk/doctype/notification_log/notification_log.py”, line 38, in enqueue_create_notification
now=frappe.flags.in_test
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/init.py”, line 1475, in enqueue
return frappe.utils.background_jobs.enqueue(*args, **kwargs)
File “/home/ukpono_obott/frappe-bench/apps/frappe/frappe/utils/background_jobs.py”, line 69, in enqueue
kwargs=queue_args)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/rq/queue.py”, line 258, in enqueue_call
job = self.enqueue_job(job, at_front=at_front)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/rq/queue.py”, line 331, in enqueue_job
pipe.execute()
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2894, in execute
return execute(conn, stack, raise_on_error)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/client.py”, line 2749, in _execute_transaction
connection.send_packed_command(all_cmds)
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 585, in send_packed_command
self.connect()
File “/home/ukpono_obott/frappe-bench/env/lib/python3.5/site-packages/redis/connection.py”, line 489, in connect
raise ConnectionError(self._error_message(e))
redis.exceptions.ConnectionError: Error 111 connecting to localhost:11000. Connection refused.

Your redis process is not active. Try

sudo supervisorctl restart all

OR, there have been several recent posts that indicate that the line below may help

redis-cli -p 13000 FLUSHALL

If all else fails, there’s this post from John Clarke which is likely to solve the problem.

It is working now